.section-hero {
    margin-top: 8vh;
    gap: 2vw;
    display: grid;
    grid-template-columns: calc(115px + 16vmin) auto;
}

.section-hero-content {
    grid-column: 2;
    padding: 3vh 2vw 5vh 2vw;
}

.hero-products {
    padding: 0;
}

#products-header,
#drafts-header {
    margin-bottom: 2vh;
    display: flex;
    flex-direction: column;
    padding: 0;
}

#products-header-h2,
#drafts-header-h2 {
    color: var(--primary-bg-color);
    font-weight: 600;
    display: inline-flex;
    align-items: center;
    gap: 0.7vw;
    line-height: 90%;
}

#products-header-h2::after {
    content: url("/images/products-icon.svg");
    display: inline-flex;
    align-items: center;
}

#drafts-header-h2::after {
    content: url("/images/drafts-icon.svg");
    display: inline-flex;
    align-items: center;
}

.hero-products-list {
    display: flex;
    flex-wrap: nowrap;
    gap: 2vmin;
    padding: 0;
    margin: 0;
    width: auto;
    max-width: 45vw;
    padding: 0.5vh;
}

.hero-products-list > * {
    flex: 1;
}

.hero-products-list button {
    border-radius: 2vh;
    height: 13vmax;
    padding: 0.8vmax;
    font-weight: 600;
    font-size: 1.4rem;
    text-transform: uppercase;
    color: var(--primary-bg-color);
    text-align: left;
    line-height: 93%;
    display: flex;
    flex-direction: column;
    align-items: start;

    border: 1px solid var(--primary-bg-color);
    box-shadow: 0 0 0 2px var(--bg-color), 0 0 0 3px var(--primary-bg-color);

    background: #ffffff;
    background-repeat: no-repeat;
    background-position: bottom center;
    background-size: 75%;

    transition: all 300ms ease-in-out;
}

.hero-products-list button.car {
    background-image: url("/images/category-auto.png");
}

.hero-products-list button.estate {
    background-image: url("/images/category-estate.png");
}

.hero-products-list button:hover {
    filter: drop-shadow(0px 0px 5px var(--primary-bg-color));
    box-shadow: none;
}

.section-drafts {
    margin: 0;
    padding: 0;
    margin-top: 4vh;
}

#table-drafts.d-flex.d-xl-none,
#table-contracts.d-flex.d-xl-none {
    flex-direction: column;
    gap: 30px;
}

.table-drafts-mob-card {
    border: 1px solid var(--border-color);
    display: flex;
    flex-direction: column;
    border-radius: 5px;
    color: var(--dark-gray);
}

.table-drafts-mob-header {
    background-color: var(--light-gray);
    padding: 1vh 2vw;
    border-bottom: 1px solid var(--border-color);
}

.table-drafts-mob-footer {
    background-color: var(--light-gray);
    padding: 1vh 2vw;
    border-top: 1px solid var(--border-color);
}

.table-drafts-mob-body {
    display: flex;
    flex-direction: column;
    gap: 10px;
    padding: 1vh 2vw;
    color: var(--dark-gray);
    text-decoration: none;
}

.table-drafts-mob-header,
.table-drafts-mob-body > div,
.table-drafts-mob-footer {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}

.table-drafts-mob-body > div span:first-child {
    color: gray;
    text-transform: uppercase;
}

.ellipsis {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    max-width: 27vw;
}
 
.modal.fade.show {
    display: flex !important;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 5px;
}

.modal.fade.show::before {
    height: initial;
}

.modal-backdrop {
    z-index: unset !important;
}

.rmodal-dialog .modal-content {
    border-radius: 3vh;
    padding: 2vh 2vw;
    border: none;
    max-width: 35vw;
}

.modal-content-left,
.modal-content-right {
    display: flex;
    flex-direction: column;
    gap: 2vh;
}

.modal-content-right {
    color: var(--bg-color);
    align-items: center;
    justify-content: center;
}

#loginForm {
    background: white;
    background-image: url("/images/login-modal-bg.svg");
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    display: grid;
    grid-template-columns: 15vw 13vw;
    grid-column-gap: 3vw;
}

.rmodal-dialog .modal-content .modal-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.rmodal-dialog .modal-content .modal-header,
.rmodal-dialog .modal-content .modal-body,
.rmodal-dialog .modal-content .modal-footer {
    border-top: none;
    border-bottom: none;
}

.rmodal-dialog .modal-content .modal-footer {
    justify-content: center;
}

.modal-content-left .modal-header,
.modal-content-left .modal-body,
.modal-content-left .modal-footer {
    border: none;
    background: none !important;
}

.modal-content-left .modal-body {
    border-top: none !important;
    border-bottom: none !important;
}

.modal-content-left .modal-footer {
    justify-content: center;
    gap: 1vw;
}

.modal-control {
    color: var(--dark-gray);
}

.modal-control::placeholder {
    color: gray;
    opacity: 0.8;
}

.modal-control:user-invalid {
    border: 1px solid var(--error-color);
    filter: drop-shadow(0 0 2px var(--error-color));
}

.input-wrapper {
    position: relative;
}

.modal-control.is-invalid {
    border-color: var(--error-color);
}

.modal-control.is-valid {
    border-color: #28a745;
}

.error-message {
    color: var(--error-color);
    font-size: 13px;
    margin-top: 4px;
}

#loginErrorDialog,
#registrationErrorDialog {
    display: none;
    color: var(--bg-color);
    padding: 1.1vmin;
    border-radius: 1vh;
    width: 33vw;
    text-align: left;
    -webkit-box-shadow: 0px 4px 8px 6px rgba(31, 53, 69, 0.08) !important;
    -moz-box-shadow: 0px 4px 8px 6px rgba(31, 53, 69, 0.08) !important;
    box-shadow: 0px 4px 8px 6px rgba(31, 53, 69, 0.08) !important;
    background: var(--error-bg-color);
}

#loginErrorDialog.show,
#registrationErrorDialog.show {
    display: flex;
    flex-direction: column;
}

.global-error::before {
    content: '❕';
}

#newCalculationDialog {
    background: var(--primary-bg-color);
    border-radius: 6vh;
    position: fixed;
    top: 12vh;
    height: 84vh;
    left: 2vw;
    min-width: 14vw;
}

#newCalculationContent {
    padding: 6vh 2vw !important;
    display: flex;
    flex-direction: column;
    gap: 2vh;
}

#newCalculationContent,
#newCalculationBody {
    border: none;
    padding: 0;
    background: none;
}

#newCalculationBody {
    display: flex;
    flex-direction: column;
    gap: 1.5vh;
}

#table-drafts thead th {
    z-index: 0 !important;
}

select+.select2-container--bootstrap-5 {
    z-index: unset;
}

#calculations {
    padding: 0.5vh;
}

#table-draft-col2 {
    width: 20%;
}

#table-draft-col3 {
    width: 12%;
}

#table-draft-col4 {
    width: 13%;
}

#table-draft-col5 {
    width: 18%;
}

#table-draft-col6 {
    width: 23%;
}

#table-draft-col7 {
    width: 5%;
}

.dropdown-toggle::after {
    margin-left: .5em;
}

#stages-tabs {
    width: fit-content;
}

.newCalculationMobileDialog {
    background: var(--light-gray);
    padding: 1vh 1vw;
}

.modal .modal-body {
    max-height: unset;
    overflow-y: unset;
}

.row.g-3.risks__wrapper {
    margin-left: 0;
}

.form-label {
    text-wrap: nowrap;
}

#life_seats {
    font-weight: 600;
}

.sm-txt {
    font-size: 0.9rem;
}

.md-txt {
    font-size: 1.1rem;
}

.dark-gray {
    color: var(--dark-gray);
}

.w500 {
    font-weight: 500 !important;
}

.multicalc__result {
    position: relative;
}

.multicalc__result::before {
    content: "";
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    width: 207%;
    transform: translateX(-50%);
    background: #f5f7fa;
    z-index: -1;
    margin: -15px 0;
}

.res-offers {
    display: flex;
    flex-direction: column;
    gap: 1vh;
}

.res-offer {
    border: 1px solid var(--border-color);
    background: var(--bg-color);
    border-radius: 5px;
    display: flex;
}

.offer-approved-1 {
    flex-direction: column;
    align-items: center;
}

.offer-approved-1 > div {
    width: -webkit-fill-available;
    justify-content: space-between;
}

.offer-approved-0,
.offer-approved-2 {
    background: none;
    border: 1px solid var(--dark-gray);
    color: var(--dark-gray);
    opacity: 0.5;
    padding: 1.5vh 1vw;
    cursor: auto;
    align-items: center;
    justify-content: space-between;
}

.offer-approved-0 {
    border: 1px solid var(--deep-red);
    color: var(--deep-red);
}

.offer-approved-0 div {
    justify-content: space-between;
}

.offer-approved-0 * {
    color: var(--deep-red);
}

.offer-main-tab {
    display: flex;
    justify-content: space-between;
    padding: 1.5vh 1vw;
    align-items: center;
}

.offer-main-tab > div, .offer-approved- > div, .offer-approved-1 > div {
    display: flex;
    align-items: center;
    gap: 1.5vw;
}

.offer-sec-tab {
    border-top: 1px solid var(--border-color);
    border-radius: 0 0 3px 3px;
    background: #f7f7f7;
}

.offer-sec-inner {
    padding: 1.5vh 1vw;
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.offer-coeffs {
    display: flex;
    justify-content: flex-start;
    align-items: center;
    flex-wrap: wrap;
    gap: 5px;
    flex-direction: row;
}

.denied-btn {
    padding: 0 1vw;
    display: flex;
    justify-content: flex-end;
    align-items: center;
}

.column-left {
    display: flex;
    flex-direction: column;
    align-items: flex-start !important;
    gap: 0.5vh !important;
    max-width: 33vw;
}

.lh100 {
    line-height: 100%;
}

.calc-result__tariff {
    --f-color: #5b5b5b;
    --s-color: #4d4d4d;

    padding: 5px 10px;
    color: var(--f-color);
    border: 1px solid var(--f-color);
    border-radius: 5px;
    display: flex;
    align-items: center;
}

.calc-result__tariff > * {
    font-weight: 500;
}

.calc-result__tariff:nth-child(even) {
    color: var(--s-color);
    border: 1px solid var(--s-color);
}

.word-br {
    word-break: break-all;
}

.paidCntrIcon::before {
    content: url("/images/paid.svg");
}

.contract_form {
    display: flex;
    flex-direction: row;
    gap: 3vw;
}

.contract_form > div {
    flex: 1;
}

.w105 {
    width: 105px;
}

.w130 {
    width: 130px;
}

@media screen and (max-width: 1700px) {
    #loginForm {
        grid-template-columns: 25vw 25vw;
    }

    .rmodal-dialog .modal-content {
        max-width: 57vw;
    }
}

@media screen and (max-width: 1024px) {
    .btn {
        padding: 0.7vh 3.5vw;
    }

    .section-hero {
        display: flex;
    }

    .section-hero-content {
        width: 100%;
    }

    .hero-products-list {
        max-width: 92vw;
        overflow-x: scroll;
    }

    .hero-products-list button {
        border-radius: 1vh;
        padding: 1.1vmax;
        font-size: 1.2rem;
        background-size: 70%;
    }

    .rmodal-dialog .modal-content {
        max-width: unset;
        width: 75vw;
        border-radius: 1vh;
        padding: 2vh 4vw;
    }

    .error-modal-dialog {
        padding: 1.5vmin !important;
        border-radius: 0.7vh !important;
        width: 75vw !important;
    }

    #loginForm {
        background-image: url('/images/login-modal-mobile-bg.svg');
        display: flex;
        flex-direction: column;
        gap: 10vh;
        padding-bottom: 6vh;
    }

    .modal-content-left .modal-footer {
        padding: 0;
    }

    #products-header-h2, #drafts-header-h2 {
        gap: 3vw;
    }

    #products-header-h2::after, #drafts-header-h2::after {
        scale: 1.6;
    }

    .h2-border {
        width: -webkit-fill-available !important;
    }

    .inline-h1 {
        font-size: 1.5rem;
        font-weight: 470 !important;
        color: var(--dark-gray);
    }

    .free-width {
        width: unset;
    }

    .custom-checkbox + label {
        line-height: 100%;
        font-size: .875rem;
    }

    .ellipsis {
        max-width: 53vw;
    }

    .product_form {
        flex-direction: column-reverse;
        gap: 0;
    }
}